Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200501-26 ] ImageMagick: PSD decoding heap overflow
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Bodhisattva
Bodhisattva


Joined: 25 Feb 2003
Posts: 3827
Location: Essen, Germany

PostPosted: Thu Jan 20, 2005 10:34 pm    Post subject: [ GLSA 200501-26 ] ImageMagick: PSD decoding heap overflow Reply with quote

Gentoo Linux Security Advisory

Title: ImageMagick: PSD decoding heap overflow (GLSA 200501-26)
Severity: normal
Exploitable: remote
Date: January 20, 2005
Bug(s): #77932
ID: 200501-26

Synopsis

ImageMagick is vulnerable to a heap overflow when decoding Photoshop Document (PSD) files, which could lead to arbitrary code execution.

Background

ImageMagick is a collection of tools to read, write and manipulate images in many formats.

Affected Packages

Package: media-gfx/imagemagick
Vulnerable: < 6.1.8.8
Unaffected: >= 6.1.8.8
Architectures: All supported architectures


Description

Andrei Nigmatulin discovered that a Photoshop Document (PSD) file with more than 24 layers could trigger a heap overflow.

Impact

An attacker could potentially design a mailicous PSD image file to cause arbitrary code execution with the permissions of the user running ImageMagick.

Workaround

There is no known workaround at this time.

Resolution

All ImageMagick users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=media-gfx/imagemagick-6.1.8.8"


References

CAN-2005-0005
iDEFENSE Advisory


Last edited by GLSA on Sun Jun 03, 2007 4:16 am; edited 3 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum